Subject: Re: Updated ps3fb usage?

From: Geoff Levand <[email-masked]>
Date: Tue, 06 Mar 2007 15:27:49 -0800

Edward Strong wrote:
>> I modified ps3fb to support the standard fbdev modedb framework, so you
>> should
>> be able to say e.g. `video=720p' or `video=ps3fb:720p' now.
>>
>> It should still work the old way (`video=ps3fb:mode:%u'), though (I'll
>> give it
>> a try when I get back to the office).
>>
>> Gr{oetje,eeting}s,
> 
> Thanks Geert, just tried this and I'm still getting a "no signal" from my
> TV after kboot, I'm pretty sure it's booting fine since I can see
> hard-drive activity and the system reboots on ctrl+alt+delete.
> 
> My last working compile was version 2.6.20-gd96197dd.  I used the
> ps3_defconfig, and my TV supports 480p/720p/1080i so not quite sure where
> I'm going wrong here.  Any pointers would be much appreciated.

Sorry for the trouble, I accidentally applied the patch ps3-hires-defconfig.diff
(below) when committing.  'mode:5' is 1080p, which your monitor does not support.
Just set the mode to one your monitor supports.

BTW, you need to build the video mode into kernel with CONFIG_CMDLINE since I
don't yet have the code to parse and use the command line from kboot done.

-Geoff

--- ps3-linux-dev.orig/arch/powerpc/configs/ps3_defconfig
+++ ps3-linux-dev/arch/powerpc/configs/ps3_defconfig
@@ -213 +213,1 @@
-CONFIG_CMDLINE="root=/dev/sda1 ip=dhcp"
+CONFIG_CMDLINE="root=/dev/sda1 ip=dhcp video=ps3fb:mode:5"